[llvm-commits] [test-suite] r130140 - /test-suite/trunk/RunSafely.sh

Daniel Dunbar daniel at zuster.org
Mon Apr 25 13:05:02 PDT 2011


Author: ddunbar
Date: Mon Apr 25 15:05:02 2011
New Revision: 130140

URL: http://llvm.org/viewvc/llvm-project?rev=130140&view=rev
Log:
RunSafely: Change to use 'sh -c' when running remotely (like we do on the
host). This is necessary if TIMEIT isn't a shell builtin.

Modified:
    test-suite/trunk/RunSafely.sh

Modified: test-suite/trunk/RunSafely.sh
URL: http://llvm.org/viewvc/llvm-project/test-suite/trunk/RunSafely.sh?rev=130140&r1=130139&r2=130140&view=diff
==============================================================================
--- test-suite/trunk/RunSafely.sh (original)
+++ test-suite/trunk/RunSafely.sh Mon Apr 25 15:05:02 2011
@@ -148,7 +148,7 @@
   rm -f "$PWD/${PROG}.command"
   rm -f "$PWD/${PROG}.remote"
   rm -f "$PWD/${PROG}.remote.time"
-  echo "$ULIMITCMD cd $PWD; ($TIMEIT -p ($COMMAND > $PWD/${OUTFILE}.remote 2>&1 < $INFILE;); echo exit \$?) > $PWD/${OUTFILE}.remote.time 2>&1" > "$PWD/${PROG}.command"
+  echo "$ULIMITCMD cd $PWD; ($TIMEIT -p sh -c '($COMMAND > $PWD/${OUTFILE}.remote 2>&1 < $INFILE;)'; echo exit \$?) > $PWD/${OUTFILE}.remote.time 2>&1" > "$PWD/${PROG}.command"
   chmod +x "$PWD/${PROG}.command"
 
   ( $RCLIENT -l $RUSER $RHOST $RPORT "ls $PWD/${PROG}.command" ) > /dev/null 2>&1





More information about the llvm-commits mailing list